Freeware Abiword broken? Need libwmflite-0.2.so.7?

IRIX and IRIX software discussion including open source and commerical offerings.
Forum rules
Any posts concerning pirated software or offering to buy/sell/trade commercial software are subject to removal.
dc_v01
Posts: 796
Joined: Fri Jul 29, 2005 3:38 pm
Location: Boston, MA

Freeware Abiword broken? Need libwmflite-0.2.so.7?

Unread postby dc_v01 » Fri Nov 04, 2005 10:42 am

I went to intall abiword from the freeware site, but it seems to be broken, needing a file libwmflite-0.2.so.7. Copying the file *.8 to *.7 doesn't seem to work, it reads the version number from within the file, I think.

This is an R4400 system so I don't think I can use the neko mips4 builds.

The same problem seems to be discussed here:
http://forums.nekochan.net/viewtopic.php?t=2750&highlight=abiword
But I think people resolved this via email? Is there somewhere I can download this library, or another way to make this work? It's strange to me that SGI would have a broken version on their website for more than a year! (But then again, as a penny stock now, maybe not.)

And please, I know that Ted is far superior, etc :) . I want to make this Abiword run!

dc_v01
Posts: 796
Joined: Fri Jul 29, 2005 3:38 pm
Location: Boston, MA

Unread postby dc_v01 » Fri Nov 18, 2005 8:02 am

Anyone? No one has this file? ......

User avatar
wolflord
Posts: 603
Joined: Thu Apr 03, 2003 11:31 am
Location: Maryland
Contact:

Unread postby wolflord » Fri Nov 18, 2005 4:51 pm

http://wolflord.shacknet.nu:8080/scans/ ... ite.tar.gz

It's just the lib file and two symbolic links. Extract them to /usr/freeware/lib32 and abiword should be up and running. I have the dist files for libwmf around someplace(probably archived on tape by now) if this doesn't work.
WolfLord - :4D70G: :Octane2:

"Two Minus Three Equals Negative Fun" - Troy McClure

dc_v01
Posts: 796
Joined: Fri Jul 29, 2005 3:38 pm
Location: Boston, MA

Unread postby dc_v01 » Sat Nov 26, 2005 9:02 am

Thanks Wolflord!

Dr. Dave had emailed me the dist, and I had gone through some effort to extract just the .7 file. I didn't want to install the entire dist, 'cause I didn't know if that would break something else. Abiword doesn't need the symlinks because it knows exactly what/where to look for, so I could keep them pointing to the *.8 file.

I'm surprised nobody else seems to have complained about this, but I guess they all have R10K procs and use nekoware, or compile it themselves. (Or just no one uses Abiword.) I was wondering if you could find this version of libwmf on sgi's site somewhere, I think they still have 6.2 freeware somewhere (or maybe that's too old), but haven't checked yet. Good if you can keep that file up on your site for others....

wolflord wrote:http://wolflord.shacknet.nu:8080/scans/ ... ite.tar.gz

It's just the lib file and two symbolic links. Extract them to /usr/freeware/lib32 and abiword should be up and running. I have the dist files for libwmf around someplace(probably archived on tape by now) if this doesn't work.

User avatar
landy
Posts: 40
Joined: Wed Oct 04, 2006 8:43 am
Location: Germany

Unread postby landy » Sun Dec 10, 2006 4:49 am

Anyone has this file? The link above is broken...
Abiword with freeware/lib32 want this file and there is only the .8 version on disk!
Michael

User avatar
toasty
Posts: 50
Joined: Thu May 01, 2014 12:54 am

Re: Freeware Abiword broken? Need libwmflite-0.2.so.7?

Unread postby toasty » Sun Dec 06, 2015 6:27 pm

Sorry to bump an old thread but does anyone else have the mentioned lib file or the original tardist? I have an O2 that came with IRIX 6.5.10 and would like to keep it at that for historical reason. SGI Freeware is the closest thing to nekoware for it so it would be nice to get fw_abiword running :)
Last edited by toasty on Mon Dec 07, 2015 9:29 am, edited 1 time in total.
:Fuel: rhaegar :MacBook: snow

User avatar
dexter1
Moderator
Moderator
Posts: 2743
Joined: Thu Feb 20, 2003 6:57 am
Location: Zoetermeer, The Netherlands

Re: Freeware Abiword broken? Need libwmflite-0.2.so.7?

Unread postby dexter1 » Mon Dec 07, 2015 1:51 am

Which fw_abiword have you installed? I have found two different abiword versions in my freeware collection:

Code: Select all

$ find . -name "fw_abiword" -print
./fw_nov02/dist/fw_abiword
./fw_feb03/dist/fw_abiword

The fw_nov02 distribution has abiword 1.0.2 and fw_feb03 has abiword 1.0.3

EDIT: Looks like there is only one fw_libwmf in my archives and it seems to be the correct one:
fw_libwmf.tardist
(5.14 MiB) Downloaded 25 times


Neko, is this okay to put it in bb? It's a bit biggish. If not, i'll try to upload it in contrib.
:Crimson: :PI: :Indigo: :O2: :Indy: :Indigo2: :Indigo2IMP:

User avatar
toasty
Posts: 50
Joined: Thu May 01, 2014 12:54 am

Re: Freeware Abiword broken? Need libwmflite-0.2.so.7?

Unread postby toasty » Mon Dec 07, 2015 9:27 am

I have abiword 1.0.3 from the May 2004 freeware. I installed the tardist with the downgrade option and abiword finally fired up. Thanks dexter1!
:Fuel: rhaegar :MacBook: snow


Return to “IRIX and Software”

Who is online

Users browsing this forum: Trippynet and 1 guest